local navic = require("nvim-navic")

vim.g.rustaceanvim = {
	server = {
		on_attach = function(client, bufnr)
			navic.attach(client, bufnr)
		end,
		settings = {
			['rust-analyzer'] = {
				procMacro = {
					enable = true,
				},
				assist = {
					importEnforceGranularity = true,
					importPrefix = "create"
				},
				cargo = {
					allFeatures = true,
				},
				checkOnSave = {
					command = "clippy",
					allFeatures = true
				},
				inlayHints = {
					lifetimeElisionHints = {
						enable = true,
						useParameterNames = true
					}
				}
			}
		}
	}
}
